namespace EQIA.EQIDL
{
    /// <summary>
    /// Enumeration that represents the state of a button.
    /// </summary>
    public enum EQIA_ButtonState
    {
        /// <summary>
        /// The button is just sitting there without the mouse over it.
        /// </summary>
        Normal,

        /// <summary>
        /// The button is pressed but the mouse isn't over it.
        /// </summary>
        Pressed,
        
        /// <summary>
        /// The button is not pressed with the mouse over it.
        /// </summary>
        Flyby,

        /// <summary>
        /// The button is pressed with the mouse over it.
        /// </summary>
        PressedFlyby,

        /// <summary>
        /// The button is disabled and will not respond to user input.
        /// </summary>
        Disabled
    }
}
